Loading...
Searching...
No Matches
BALL::VIEW::RegisterHelpSystemMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::RegisterHelpSystemMessage:

## Public Member Functions

| RegisterHelpSystemMessage ()
void | setObject (const QObject *object)
void | setURL (const String &url)
void | setRegisterMode (bool state)
const QObject * | getObject () const
const String & | getURL () const
bool | isRegister () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Protected Attributes

const QObject * | object_
Index | menu_entry_
String | url_
bool | register_

## Detailed Description

Register a QObject to a URL in the documentation This message is send by ModularWidget::registerForHelpSystem and should probably not be used otherwise.

Deprecated
  Help system has been removed. This class will also be removed in the next release.

Definition at line 809 of file message.h.

## Constructor & Destructor Documentation

## RegisterHelpSystemMessage()

BALL::VIEW::RegisterHelpSystemMessage::RegisterHelpSystemMessage | ( |  | ) |

## Member Function Documentation

## getObject()

const QObject * BALL::VIEW::RegisterHelpSystemMessage::getObject | ( |  | ) | const

inline

Definition at line 827 of file message.h.

## getURL()

const String & BALL::VIEW::RegisterHelpSystemMessage::getURL | ( |  | ) | const

inline

Definition at line 830 of file message.h.

## isRegister()

bool BALL::VIEW::RegisterHelpSystemMessage::isRegister | ( |  | ) | const

inline

Definition at line 833 of file message.h.

## setObject()

void BALL::VIEW::RegisterHelpSystemMessage::setObject | ( | const QObject * | object | ) |

inline

Definition at line 818 of file message.h.

## setRegisterMode()

void BALL::VIEW::RegisterHelpSystemMessage::setRegisterMode | ( | bool | state | ) |

inline

Definition at line 824 of file message.h.

## setURL()

void BALL::VIEW::RegisterHelpSystemMessage::setURL | ( | const String & | url | ) |

inline

Definition at line 821 of file message.h.

## Member Data Documentation

## menu_entry_

Index BALL::VIEW::RegisterHelpSystemMessage::menu_entry_

protected

Definition at line 838 of file message.h.

## object_

const QObject* BALL::VIEW::RegisterHelpSystemMessage::object_

protected

Definition at line 837 of file message.h.

## register_

bool BALL::VIEW::RegisterHelpSystemMessage::register_

protected

Definition at line 840 of file message.h.

## url_

String BALL::VIEW::RegisterHelpSystemMessage::url_

protected

Definition at line 839 of file message.h.